<?php
/**
 * Meta Box Options
 *
 * Meta Box Options for pages
 *
 * @package      responsive_mobile
 * @license      license.txt
 * @copyright    2014 CyberChimps Inc
 * @since        0.0.1
 *
 * Please do not edit this file. This file is part of the responsive_mobile Framework and all modifications
 * should be made in a child theme.
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// @TODO Place within function

if( is_admin() ) {

	/*********************************** PAGE OPTIONS STARTS ******************************************/
	$responsive_mobile_fields = array(
		array(
			'type'  => 'checkbox',
			'id'    => 'cyberchimps_page_title_toggle',
			'class' => 'checkbox',
			'name'  => __( 'Page Title', 'responsive-mobile' ),
			'std'   => 1
		),


	);
	/*
	 * configure your meta box
	 */
	$responsive_mobile_config = array(
		'id'             => 'cyberchimps_page_options', // meta box id, unique per meta box
		'title'          => __( 'Page Options', 'responsive-mobile' ), // meta box title
		'pages'          => array( 'page' ), // post types, accept custom post types as well, default is array('post'); optional
		'context'        => 'normal', // where the meta box appear: normal (default), advanced, side; optional
		'priority'       => 'high', // order of meta box: high (default), low; optional
		'fields'         => $responsive_mobile_fields, // list of meta fields (can be added by field arrays)
		'local_images'   => false, // Use local or hosted images (meta box images for add/remove)
		'use_with_theme' => true //change path if used with theme set to true, false for a plugin or anything else for a custom path(default false).
	);

	/*
	 * Initiate your meta box
	 */
	$responsive_mobile_my_meta = new Cyberchimps_Meta_Box( $responsive_mobile_config );
	/************************************ PAGE OPTIONS ENDS ***************************************/
}
